Subject: RE: [mobile-ip] Mobile Prefix Advertisements

From: "Powell, Ken" <[email-masked]>
Date: Tue, 26 Jun 2001 11:48:32 -0400

Hi Charlie, T.J.,

> > Section 5.8 ICMP Mobile Prefix Solicitation Message Format
> > 
> >    Will the Destination Option extension header with a
> >    Home Address option normally be included? The exception
> >    would be during mobile node initialization when the
> >    mobile node does not have a home address yet.
> 
> Agreed.  I reckon this should just follow normal rules
> for sending packets.  Does it need to be stated explicitly?

I think it needs to be stated somewhere in the spec. Not
sure where it makes most sense though.

> > 
> >    This message header should include a reserved
> >    field to align the remaining prefix options on
> >    a 64-bit boundary.
> 
> Here I am not so sure.  The Prefix Information option
> doesn't start with a 64-bit field, and I didn't find
> any specification that required an _option_ to be
> aligned in a certain way -- only that the data fields
> in the option should be aligned in a certain way.
> I can see both sides of the argument, and the picture
> at the beginning of section 4.6 of RFC 2461 doesn't
> appear to mandate the restriction.

There is no explicitly stated restriction, but I think
all the headers are constructed such that long fields
like IPv6 addresses land on proper byte-boundaries.
IMHO,  its important we try to maintain this alignment
convention.

Ken

---

From: "Charles E. Perkins" <[email-masked]>
Date: Sat, 30 Jun 2001 19:03:20 -0700

Hello Ken,

I'm trying to finish up something that can be sent out as
the next revision...

> sure where it makes most sense though.

O.K.  I am open to suggestion.

> IMHO,  its important we try to maintain this alignment

There seems to be arguments both ways.  Would it be O.K. to
await comments from other folks in the working group?

Regards,
Charlie P.